export const createAuthHeaders = (token, sessionId, admin) => {
    const headers = new Headers();
    if (token) {
        headers.append('Widget-Authorization', `Bearer ${token}`);
    }
    if (admin) {
        headers.append('Authorization', sessionId);
    }
    return headers;
};
export const truncate = (str, n) => {
    if (!str || n < 0) {
        return;
    }
    return str.length > n ? str.slice(0, n - 1) + '...' : str;
};
