import { DeleteMessageParams, GetNotificationsParams, GetNotificationsReturnData, MarkAllMessagesParams, MarkMessageParams, MarkMessageReturnData, InitializeSessionParams, InitializeSessionReturnData, UnseenCountParams } from './types';
export declare const initializeSession: ({ baseUrl, body, headers, }: InitializeSessionParams) => Promise<InitializeSessionReturnData>;
export declare const getUnseenCount: ({ baseUrl, headers, }: UnseenCountParams) => Promise<number>;
export declare const deleteMessage: ({ baseUrl, headers, messageId, }: DeleteMessageParams) => Promise<boolean>;
export declare const markAsRead: ({ baseUrl, body, headers, unread, }: MarkMessageParams) => Promise<MarkMessageReturnData>;
export declare const getNotifications: ({ baseUrl, headers, page, }: GetNotificationsParams) => Promise<GetNotificationsReturnData>;
export declare const markAllAsRead: ({ baseUrl, headers, }: MarkAllMessagesParams) => Promise<boolean>;
